# Class MessageDeltaEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for a message_delta event.

    public class MessageDeltaEventData : EventData

Inheritance
  object
  EventData
  MessageDeltaEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageDeltaEventData(MessageDelta, Usage)

Initializes a new instance of the MessageDeltaEventData class.

    public MessageDeltaEventData(MessageDelta delta, Usage usage)

#### Parameters

`delta` MessageDelta

  The message delta.

`usage` Usage

  The usage.

## Properties

### Delta

Gets the message delta.

    public MessageDelta Delta { get; init; }

#### Property Value

MessageDelta

### Usage

Gets the usage.

    public Usage Usage { get; init; }

#### Property Value

Usage